package com.ruoyi.project.ehs.domain;

import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * @author ruoyi
 * @date 2021-09-23
 */
public class TMatterProtect extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    private String conservatoryMeasureName;

    private String conservatoryMeasureCode;

    private String conservatoryMeasureNo;

    private String conservatoryMeasureContent;

    public String getConservatoryMeasureContent() {
        return conservatoryMeasureContent;
    }

    public void setConservatoryMeasureContent(String conservatoryMeasureContent) {
        this.conservatoryMeasureContent = conservatoryMeasureContent;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setConservatoryMeasureName(String conservatoryMeasureName) {
        this.conservatoryMeasureName = conservatoryMeasureName;
    }

    public String getConservatoryMeasureName() {
        return conservatoryMeasureName;
    }

    public void setConservatoryMeasureCode(String conservatoryMeasureCode) {
        this.conservatoryMeasureCode = conservatoryMeasureCode;
    }

    public String getConservatoryMeasureCode() {
        return conservatoryMeasureCode;
    }

    public void setConservatoryMeasureNo(String conservatoryMeasureNo) {
        this.conservatoryMeasureNo = conservatoryMeasureNo;
    }

    public String getConservatoryMeasureNo() {
        return conservatoryMeasureNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("conservatoryMeasureName", getConservatoryMeasureName())
                .append("conservatoryMeasureCode", getConservatoryMeasureCode())
                .append("conservatoryMeasureNo", getConservatoryMeasureNo())
                .toString();
    }
}
